<?php

if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Enqueue admin styles.
 *
 * @param string $hook Page name where to enqueue the admin styles.
 * @return void
 */
function stag_admin_styles( $hook ) {
	if ( 'post.php' === $hook || 'post-new.php' === $hook ) {
		wp_register_style( 'stag-admin-metabox', get_template_directory_uri() . '/assets/css/stag-admin-metabox.css', array( 'wp-color-picker' ) );
		wp_enqueue_style( 'stag-admin-metabox' );
	}
}
add_action( 'admin_enqueue_scripts', 'stag_admin_styles' );

/**
 * Enqueue admin scripts.
 *
 * @param string $hook Page name where to enqueue the admin styles.
 * @return void
 */
function stag_admin_scripts( $hook ) {
	if ( 'post.php' === $hook || 'post-new.php' === $hook || 'widgets.php' === $hook ) {
		wp_enqueue_media();
		wp_register_script( 'stag-admin-metabox', get_template_directory_uri() . '/assets/js/stag-admin-metabox.js', array( 'jquery', 'wp-color-picker' ) );
		wp_enqueue_script( 'stag-admin-metabox' );
		wp_enqueue_style( 'wp-color-picker' );
	}
	return;
}
add_action( 'admin_enqueue_scripts', 'stag_admin_scripts' );

/**
 * Load theme files.
 */
$path         = get_template_directory() . '/includes/';

require_once( $path . 'class-tgm-plugin-activation.php' );
require_once( $path . 'stag-admin-metaboxes.php' );
require_once( $path . 'stag-theme-hooks.php' );

/**
 * Schema.org markup helper.
 *
 * @since 2.0.1.2
 */
require_once( $path . 'stag-markup-helper.php' );
